/*========== GOOGLE FONTS ==========*/
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&display=swap");
/*==================== VARIABLES CSS ====================*/
:root {
  --header-height: 3rem;
  /*========== Colors ==========*/
  /* Change favorite color */
  --hue-color: 250;
  /*Purple 250 - Green 142 - Blue 230 - Pink 340*/
  /* HSL color mode */
  --first-color: hsl(var(--hue-color), 69%, 61%);
  --first-color-second: hsl(var(--hue-color), 69%, 61%);
  --first-color-alt: hsl(var(--hue-color), 57%, 53%);
  --first-color-lighter: hsl(var(--hue-color), 92%, 85%);
  --title-color: hsl(var(--hue-color), 8%, 15%);
  --text-color: hsl(var(--hue-color), 8%, 45%);
  --text-color-light: hsl(var(--hue-color), 8%, 65%);
  --input-color: hsl(var(--hue-color), 70%, 96%);
  --body-color: hsl(var(--hue-color), 60%, 99%);
  --container-color: #fff;
  --scroll-bar-color: hsl(var(--hue-color), 12%, 90%);
  --scroll-thumb-color: hsl(var(--hue-color), 12%, 80%);
  /*========== Font and typography ==========*/
  --body-font: "Poppins", sans-serif;
  --big-font-size: 3rem;
  --h1-font-size: 1.5rem;
  --h2-font-size: 1.25rem;
  --h3-font-size: 1.125rem;
  --normal-font-size: 0.938rem;
  --small-font-size: 0.813rem;
  --smaller-font-size: 0.75rem;
  /*========== Font weight ==========*/
  --font-medium: 500;
  --font-semi-bold: 600;
  /*========== Margenes Bottom ==========*/
  --mb-0-25: 0.25rem;
  --mb-0-5: 0.5rem;
  --mb-0-75: 0.75rem;
  --mb-1: 1rem;
  --mb-1-5: 1.5rem;
  --mb-2: 2rem;
  --mb-2-5: 2.5rem;
  --mb-3: 3rem;
  /*========== z index ==========*/
  --z-tooltip: 10;
  --z-fixed: 100;
  --z-modal: 1000;
}

@media screen and (min-width: 968px) {
  :root {
    --big-font-size: 3rem;
    --h1-font-size: 2.25rem;
    --h2-font-size: 1.5rem;
    --h3-font-size: 1.25rem;
    --normal-font-size: 1rem;
    --small-font-size: 0.875rem;
    --smaller-font-size: 0.813rem;
  }
}

/*========== Variables Dark theme ==========*/
body.dark-theme {
  /* HSL color mode */
  --first-color-second: hsl(var(--hue-color), 30%, 8%);
  --title-color: hsl(var(--hue-color), 8%, 95%);
  --text-color: hsl(var(--hue-color), 8%, 75%);
  --input-color: hsl(var(--hue-color), 29%, 16%);
  --body-color: hsl(var(--hue-color), 28%, 12%);
  --container-color: hsl(var(--hue-color), 29%, 16%);
  --scroll-bar-color: hsl(var(--hue-color), 12%, 48%);
  --scroll-thumb-color: hsl(var(--hue-color), 12%, 36%);
}

/*========== Button Dark/Light ==========*/
.nav__btns {
  display: flex;
  align-items: center;
}

.change-theme {
  font-size: 1.25rem;
  color: var(--title-color);
  margin-right: var(--mb-1);
  cursor: pointer;
}

.change-theme:hover {
  color: var(--first-color);
}

/*==================== BASE ====================*/
* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

html {
  scroll-behavior: smooth;
}

body {
  margin: 0 0 var(--header-height) 0;
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
  background-color: var(--body-color);
  color: var(--text-color);
}

h1,
h2,
h3,
h4 {
  color: var(--title-color);
  font-weight: var(--font-semi-bold);
}

ul {
  list-style: none;
}

a {
  text-decoration: none;
}

img {
  max-width: 100%;
  height: auto;
}

/*==================== REUSABLE CSS CLASSES ====================*/
.section {
  padding: 2rem 0 4rem;
}

.section__title {
  font-size: var(--h1-font-size);
  color: var(--title-color);
}

.section__subtitle {
  display: block;
  font-size: var(--small-font-size);
  margin-bottom: var(--mb-3);
}

.section__title,
.section__subtitle {
  text-align: center;
}

/*==================== LAYOUT ====================*/
.container {
  max-width: 768px;
  margin-left: var(--mb-1-5);
  margin-right: var(--mb-1-5);
}

.grid {
  display: grid;
  gap: 1.5rem;
}

.header {
  width: 100%;
  position: fixed;
  bottom: 0;
  left: 0;
  z-index: var(--z-fixed);
  background-color: var(--body-color);
}

/*==================== NAV ====================*/
.nav {
  max-width: 968px;
  height: var(--header-height);
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.nav__logo,
.nav__toggle {
  transition: 0.3s;
  color: var(--title-color);
  font-weight: var(--font-medium);
}

.nav__logo:hover {
  color: var(--first-color);
  transition: 0.3s;
}

.nav__toggle {
  font-size: 1.1rem;
  cursor: pointer;
}

.nav__toggle:hover {
  color: var(--first-color);
}

@media screen and (max-width: 767px) {
  .nav__menu {
    position: fixed;
    bottom: -100%;
    left: 0;
    width: 100%;
    background-color: var(--body-color);
    padding: 2rem 1.5rem 4rem;
    box-shadow: 0 -1px 4px rgba(0, 0, 0, 0.15);
    border-radius: 1.5rem 1.5rem 0 0;
    transition: 0.3s;
  }
}

.nav__list {
  grid-template-columns: repeat(3, 1fr);
  gap: 2rem;
}

.nav__link {
  transition: 0.3s;
  display: flex;
  flex-direction: column;
  align-items: center;
  font-size: var(--small-font-size);
  color: var(--title-color);
  font-weight: var(--font-medium);
}

.nav__link:hover {
  color: var(--first-color);
  transition: 0.3s;
}

.nav__icon {
  font-size: 1.2rem;
}

.nav__close {
  position: absolute;
  right: 1.3rem;
  bottom: 0.5rem;
  font-size: 1.5rem;
  cursor: pointer;
  color: var(--first-color);
}

.nav__close:hover {
  color: var(--first-color-alt);
}

/* show menu */
.show-menu {
  bottom: 0;
}

/* Active link */
.active-link {
  color: var(--first-color);
}

/* Change background header */
.scroll-header {
  box-shadow: 0 -1px 4px rgba(0, 0, 0, 0.15);
}

/*==================== HOME ====================*/
.home__container {
  gap: 1rem;
  max-height: 95vh;
}

.home__content {
  grid-template-columns: 0.5fr 3fr;
  padding-top: 3.5rem;
  align-items: center;
}

.home__social {
  margin-bottom: var(--mb-1);
}

.home__social-icon {
  font-size: 1.5rem;
  color: var(--first-color);
  padding-right: 1.6rem; 
  /* padding-left: 0.5rem; */
}

.home__social-icon:hover {
  color: var(--h1-font-size);
}

.home__blob {
  width: 22rem;
  fill: var(--first-color);
  margin-left: 0rem;
}

.home__blob-img {
  width: 11rem;
  height: auto;
}

.home__data {
  padding-left: 1rem;
  padding-top: 0.5rem;
  grid-column: 1/3;
  margin-top: -1.5rem;
}

.home__title {
  font-size: var(--big-font-size);
  line-height: 1.2;
}

.home__title .second-part {
  font-weight: 400;
}

.home__subtitle {
  margin-top: var(--mb-0-75);
  font-size: var(--h3-font-size);
  color: var(--text-color);
  font-weight: var(--font-medium);
  margin-bottom: var(--mb-0-75);
}

.home__description {
  margin-top: var(--mb-0-75);
  margin-bottom: var(--mb-0-75);
}

.home__greeting{
  color: var(--text-color-light);
  font-size: 0.85rem;
  margin-bottom: 0.35rem;
  font-weight: 100;
}

/*  */
.typewrite > .wrap {
  border-right: 0.08em solid var(--text-color);
  white-space: nowrap;
  overflow: hidden;
  color: var(--text-color); /* Set the text color */
  text-align: left;
  margin-left: -4px;
}

.typewrite > .wrap::before {
  content: '\00a0'; /* Add a non-breaking space before the text */
  animation: blink-caret 0.75s step-end infinite;
  color: var(--text-color); /* Set the blinking bar color to be the same as text color */
}

@keyframes blink-caret {
  from, to {
    border-color: var(--text-color); /* Set the border color of the caret */
  }
  50% {
    border-color: transparent;
  }
}
/*  */

.home__scroll {
  display: none;
}

.home__scroll-button {
  color: var(--first-color);
  transition: 0.3s;
  margin-top: 0.5rem;
}

.home__scroll-button:hover {
  transform: translateY(0.25rem);
}

.home__scroll-mouse {
  font-size: 2rem;
}

.home__scroll-name {
  font-size: var(--small-font-size);
  color: var(--title-color);
  font-weight: var(--font-medium);
  margin-right: var(--mb-0-25);
}

.home__scroll-arrow {
  font-size: 1.25rem;
}

/*========== BUTTONS ==========*/
.button {
  display: inline-block;
  background-color: var(--first-color);
  color: #fff;
  padding: 1rem;
  border-radius: 0.5rem;
  font-weight: var(--font-medium);
}

.button[type="submit"] {
  border: 0;
  background: none;
  box-shadow: none;
  border-radius: 0px;
  background-color: var(--first-color);
  color: #fff;
  padding: 1rem;
  border-radius: 0.5rem;
  font-family: var(--body-font);
  font-weight: var(--font-medium);
}

.button:hover {
  background-color: var(--first-color-alt);
}

.button__icon {
  font-size: 1.25rem;
  margin-left: var(--mb-0-5);
  transition: 0.3s;
}

.button--white {
  background-color: #fff;
  color: var(--first-color);
}

.button--white:hover {
  background-color: red;
  color: white;
}

.button--flex {
  display: inline-flex;
  align-items: center;
}

.button--red:hover {
  /* Resume Btn Color */
  background-color: red;
}

.button--small {
  padding: 0.75rem 1rem;
}

.button--link {
  padding: 0;
  background-color: transparent;
  color: var(--first-color);
}

.button--link:hover {
  background-color: transparent;
  color: var(--first-color-alt);
}

/*==================== ABOUT ====================*/
.about__img {
  width: 200px;
  border-radius: 0.5rem;
  justify-self: center;
  align-self: center;
  margin-bottom: 50px;
}

.about__description {
  text-align: center;
}

.about__info {
  display: flex;
  justify-content: space-evenly;
  margin-top: 0.5rem;
  margin-bottom: 0.5rem;
}

.about_para {
  padding-bottom: 0.45rem;
}

.about__pitch{
  margin-top: 2rem;
  margin-bottom: 1rem;
  font-size: 0.85rem;
  border-radius: 0.25rem;
  padding: 1rem;
  box-shadow: 0 0px 4px var(--text-color-light);
}

.about__pitch_para{
  padding-top: 0.35rem;
  padding-left: 0.5rem;
  padding-right: 0.5rem;
}

.about__info-title {
  font-size: var(--h2-font-size);
  font-weight: var(--font-semi-bold);
  color: var(--title-color);
}

.about__instruction{
  display: block;
  font-size: var(--small-font-size);
  margin-top: 2rem;
  margin-bottom: 2.5rem;
  text-align: center;
}

.about__info-name {
  font-size: var(--smaller-font-size);
}

.about__info-title,
.about__info-name {
  display: block;
  text-align: center;
}

.about__buttons {
  display: flex;
  justify-content: space-evenly;
  margin-bottom: 1.5rem;
}

.bmc__logo {
  margin-top: var(--mb-1);
  margin-right: var(--mb-1);
  height: 35px;
  width: auto;
}

/*==================== SKILLS ====================*/
.skills__container {
  row-gap: 0;
}

.skills__header {
  display: flex;
  align-items: center;
  /* margin-bottom: var(--mb-2-5); */
  cursor: pointer;
  margin-bottom: 1.2rem;
}

/* .skills__header.faqs--header {
  margin-bottom: var(--mb-0-75);
} */

.skills__icon,
.skills__arrow {
  font-size: 2rem;
  color: var(--first-color);
}

.skills__icon {
  margin-right: var(--mb-0-75);
}

.skills__title {
  font-size: var(--h3-font-size);
}

.skills__subtitle {
  font-size: var(--smaller-font-size);
  color: var(--text-color-light);
}

.skills__reduce_margin{
  margin-bottom: -1rem;
}

.skills__arrow {
  margin-left: auto;
  transition: 0.4s;
}

.skills__list {
  row-gap: 0.65rem;
  /* padding-top: 1rem; */
  padding-left: 2.7rem;
  padding-right: 1rem;
}
.skills__list.faqs--list {
  row-gap: 1.5rem;
  padding-left: 0;
  margin-bottom: 0px !important;
}

.skills__titles {
  display: flex;
  justify-content: space-between;
  margin-bottom: 0.65rem;
}

.skills__name {
  font-size: var(--normal-font-size);
  font-weight: var(--font-medium);
}

.skills__number{
  font-size: var(--smaller-font-size);
  color: var(--first-color);
  white-space: nowrap;
  margin-left: 0.25rem;
  align-items: left;
}

.skills__bar,
.skills__percentage {
  height: 0.1rem;
}

.skills__bar {
  background-color: var(--first-color-lighter);
}

.skills__percentage {
  display: block;
  background-color: var(--first-color);
}

.skills__close .skills__list {
  height: 0px;
  overflow: hidden;
}

.skills__open .skills__list {
  height: max-content;
  margin-top: 1rem;
  padding-top: 0.5rem !important;
}

.skills__open .skills__arrow {
  transform: rotate(-180deg);
}

/*==================== QUALIFICATION ====================*/
.qualification__tabs {
  display: flex;
  justify-content: space-evenly;
  margin-bottom: var(--mb-2);
}

.qualification__button {
  font-size: var(--h3-font-size);
  font-weight: var(--font-medium);
  cursor: pointer;
}

.qualification__button:hover {
  color: var(--first-color);
}

.qualification__icon {
  font-size: 1.8rem;
  margin-right: var(--mb-0-25);
}

.qualification__data {
  display: grid;
  grid-template-columns: 1fr max-content 1fr;
  column-gap: 1.5rem;
}

.qualification__title {
  font-size: var(--normal-font-size);
  font-weight: var(--font-medium);
}

.qualification__subtitle {
  display: inline-block;
  font-size: var(--small-font-size);
}

.qualification__calendar {
  font-size: var(--smaller-font-size);
  color: var(--text-color-light);
}

.qualification__rounder {
  display: inline-block;
  width: 13px;
  height: 13px;
  background-color: var(--first-color);
  border-radius: 50%;
}

.qualification__line {
  display: block;
  width: 1px;
  height: 100%;
  background-color: var(--first-color);
  transform: translate(6px, -7px);
}

.qualification [data-content] {
  display: none;
}

.qualification__active[data-content] {
  display: block;
}

.qualification__button.qualification__active .text--tab{
  background-color: var(--first-color);
  border-style: solid;
  border-radius: 50px;
  color: #fff;
  padding: 2px 15px;
  border: 1px solid transparent;
  font-size: 16px;
}

.qualification__button .text--tab{
  background-color: transparent;
  border-style: solid;
  border-radius: 50px;
  padding: 2px 15px;
  color: var(--first-color);
  border: 2px solid transparent;
  font-size: 16px;
}

.qualification__button .text--tab:hover {
  border-color: var(--first-color); /* Change border color on hover */
}

.text-left,
p {
  text-align: left !important;
}

/*==================== projectS ====================*/
.projects__container {
  gap: 1.5rem;
  grid-template-columns: repeat(2, 1fr);
}

.projects__icon {
  display: block;
  font-size: 1.5rem;
  color: var(--first-color);
  margin-bottom: var(--mb-1);
}

.projects__title {
  font-size: var(--h3-font-size);
  margin-bottom: var(--mb-1);
  font-weight: var(--font-medium);
}

.services__button {
  cursor: pointer;
  font-size: var(--small-font-size);
  margin-bottom: var(--mb-0-25);
}

.services__button:hover .button__icon {
  transform: translateX(0.25rem);
}

.services_modal {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0, 0, 0, 0.5);
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0 1rem;
  z-index: var(--z-modal);
  opacity: 0;
  visibility: hidden;
  transition: 0.3s;
}

.services_modal-content {
  position: relative;
  background-color: var(--container-color);
  padding: 1.5rem;
  border-radius: 0.5rem;
  max-height: 90vh;
  overflow-y: hidden;
  box-sizing: border-box;
}

.services_modal-projects {
  row-gap: 0.5rem;
}

.services_modal-project {
  display: flex;
  font-size: 0.85rem;
}

.services_modal-title {
  font-size: var(--h3-font-size);
  font-weight: var(--font-medium);
  margin-bottom: var(--mb-1-5);
}

.services_modal-close {
  position: absolute;
  top: 1rem;
  right: 1rem;
  font-size: 1.5rem;
  color: var(--first-color);
  cursor: pointer;
}

.services_modal-icon {
  color: var(--first-color);
  margin-right: var(--mb-0-25);
}

/* Active Modal */
.active-modal {
  opacity: 1;
  visibility: visible;
}

/*==================== PORTFOLIO ====================*/
.portfolio__container {
  overflow: initial;
}

.portfolio__content {
  padding: 0 1.5rem;
}

.portfolio__img {
  width: 265px;
  border-radius: 0.5rem;
  justify-self: center;
}

.portfolio__title {
  font-size: var(--h3-font-size);
  margin-bottom: var(--mb-0-5);
}

.portfolio__description {
  margin-bottom: var(--mb-0-75);
}

.portfolio__button:hover .button__icon {
  transform: translateX(0.25rem);
}

.swiper-button-prev::after,
.swiper-button-next::after {
  content: "";
}

.swiper-portfolio-icon {
  font-size: 2rem;
  color: var(--first-color);
}

.swiper-button-prev {
  left: -0.5rem;
}

.swiper-button-next {
  right: -0.5rem;
}

.swiper-container-horizontal > .swiper-pagination-bullets {
  bottom: -2.5rem;
}

.swiper-pagination-bullet-active {
  background-color: var(--first-color);
}

.swiper-button-prev,
.swiper-button-next,
.swiper-pagination-bullet {
  outline: none;
}

/*==================== PROJECT IN MIND ====================*/
.project {
  text-align: center;
}

.project__bg {
  background-color: var(--first-color-second);
  padding-top: 2rem;
  padding-bottom: 1rem;
}

.project__title {
  font-size: var(--h2-font-size);
  margin-bottom: var(--mb-0-75);
}

.project__description {
  margin-bottom: var(--mb-1-5);
}

.project__title,
.project__description {
  color: #fff;
}

.project__img {
  width: 232px;
  justify-self: center;
}

/*==================== TESTIMONIAL ====================*/
.testimonial__data,
.testimonial__header {
  display: flex;
}

.testimonial__data {
  justify-content: space-between;
  margin-bottom: var(--mb-1);
}

.testimonial__img {
  width: 60px;
  height: 60px;
  border-radius: 50%;
  margin-right: var(--mb-0-75);
}

.testimonial__name {
  font-size: var(--h3-font-size);
  font-weight: var(--font-medium);
}

.testimonial__client {
  font-size: var(--small-font-size);
  color: var(--text-color-light);
}

.testimonial__description {
  padding-left: 0.5rem;
  padding-bottom: 0.5rem;
  font-size: 0.85rem;
}

/* .pad__bottom-small{
  padding-bottom: 0.5rem;
} */

.testimonial__icon-star {
  color: var(--first-color);
}

.swiper-container .swiper-pagination-testimonial {
  bottom: 0;
}

/*==================== CONTACT ME ====================*/
.contact__container {
  /* grid-template-columns: repeat(2, 1fr);
  display: grid; */
  row-gap: 3rem;
  /* center */
  display: flex;
  flex-direction: column;
  align-items: center;
}

.contact__information {
  display: flex;
}

.contact__icon {
  font-size: 2rem;
  color: var(--first-color);
  margin-right: var(--mb-0-75);
}

.contact__title {
  font-size: var(--h3-font-size);
  font-weight: var(--font-medium);
}

.contact__subtitle {
  font-size: var(--small-font-size);
  color: var(--text-color-light);
}

.contact__content {
  background-color: var(--input-color);
  border-radius: 0.5rem;
  padding: 0.75rem 1rem 0.25rem;
}

.contact__label {
  font-size: var(--smaller-font-size);
  color: var(--title-color);
}

.contact__input {
  width: 100%;
  background-color: var(--input-color);
  color: var(--text-color);
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
  border: none;
  outline: none;
  padding: 0.25rem 0.5rem 0.5rem 0;
}

/*==================== Blog =====================*/
.blog {
  text-align: center;
}

/*==================== FOOTER ====================*/
.footer {
  padding-top: 2rem;
}

.footer__container {
  row-gap: 3.5rem;
}

.footer__bg {
  background-color: var(--first-color-second);
  padding: 2rem 0 3rem;
}

.footer__title {
  font-size: var(--h1-font-size);
  margin-bottom: var(--mb-0-25);
}

.footer__subtitle {
  font-size: var(--small-font-size);
}

.footer__links {
  display: flex;
  flex-direction: column;
  row-gap: 1.5rem;
  /* margin-bottom: var(--mb-0-5); */
}

.footer__text {
  text-align: center;
}

.footer__social:hover {
  color: #fff;
}

.footer__link:hover {
  color: #fff;
}

.footer__link {
  color: var(--first-color-lighter);
}

.footer__social {
  font-size: 1.25rem;
  margin-right: var(--mb-1-5);
  color: var(--first-color-lighter);
}

.qr_share{
  max-width: 10rem;
}

.footer__copy {
  font-size: var(--smaller-font-size);
  text-align: center !important;
  color: var(--text-color-light);
}

.footer__title,
.footer__subtitle {
  color: #fff;
}

/*========== SCROLL UP ==========*/
.scrollup {
  position: fixed;
  right: 1rem;
  bottom: -20%;
  background-color: var(--first-color);
  opacity: 0.8;
  padding: 0 0.3rem;
  border-radius: 0.4rem;
  z-index: var(--z-tooltip);
  transition: 0.4s;
}

.scrollup:hover {
  background-color: var(--first-color-alt);
}

.scrollup__icon {
  font-size: 1.5rem;
  color: #fff;
}

/* Show scroll */
.show-scroll {
  bottom: 5rem;
}

/*========== SCROLL BAR ==========*/
::-webkit-scrollbar {
  width: 0.6rem;
  border-radius: 0.5rem;
  background-color: var(--scroll-bar-color);
}

::-webkit-scrollbar-thumb {
  background-color: var(--scroll-thumb-color);
  border-radius: 0.5rem;
}

::-webkit-scrollbar-thumb:hover {
  background-color: var(--text-color-light);
}

.bottom-tabs {
  display: none !important;
}

/*==================== MEDIA QUERIES ====================*/
/* For small devices */
@media screen and (max-width: 350px) {
  .container {
    margin-left: var(--mb-1);
    margin-right: var(--mb-1);
  }
  .nav__menu {
    padding: 2rem 0.25rem 4rem;
  }
  .nav__list {
    column-gap: 0;
  }
  .home__content {
    grid-template-columns: 0.25fr 3fr;
  }
  .home__blob {
    width: 180px;
  }
  .skills__title {
    font-size: var(--normal-font-size);
  }
  .qualification__data {
    gap: 0.5rem;
  }
  .projects__container {
    grid-template-columns: max-content;
    justify-content: center;
  }
  .projects__content {
    padding-right: 3.5rem;
  }
  .services_modal {
    padding: 0 0.5rem;
  }
  .project__img {
    width: 300px;
  }
  .testimonial__data,
  .testimonial__header {
    flex-direction: column;
    align-items: center;
  }
  .testimonial__img {
    margin-right: 0;
    margin-bottom: var(--mb-0-25);
  }
  .testimonial__data,
  .testimonial__description {
    text-align: center;
  }
}

/* For medium devices */
@media screen and (min-width: 568px) {
  .home__content {
    grid-template-columns: 1fr 2fr;
  }
  .home__data {
    padding-left: 20px;
    padding-top: 20px;
    grid-column: initial;
    margin-top: 0px !important;
  }
  .home__img {
    justify-self: center;
  }
  .about__container,
  .skills__container,
  .portfolio__content,
  .project__container,
  .contact__container,
  .footer__container {
    grid-template-columns: repeat(2, 1fr);
  }
  .qualification__sections {
    display: grid;
    grid-template-columns: 0.6fr;
    justify-content: center;
  }
  .projects--grid {
    display: grid !important;
    grid-template-columns: repeat(2, 1fr) !important;
    gap: 32px !important;
  }
  .span-2 {
    grid-column: span 2;
  }
  .qualification__button.qualification__active .text--tab{
    font-size: 18px !important;
  }
  .qr_share{
    max-width: 100% !important;
  }
  .qualification__button .text--tab{
    font-size: 18px !important;
  }
  .projects--tabs{
    display: flex !important;
  }
  .home__blob {
    /* width: 200px; */
    fill: var(--first-color);
    margin-top: 0rem;
  }
  .home__blob-img {
    /* width: 180px; */
    height: auto;
    align-items: center;
  }
  .services_modal-vu{
    padding-top: 1rem;
  }
  .popup-description-grid-ai{
    display: grid !important;
    grid-template-columns: 0.27fr 0.27fr 0.46fr !important;
    gap: 1rem !important;
  }
  .popup-description-grid{
    display: grid !important;
    grid-template-columns: 0.35fr 0.65fr !important;
    gap: 1rem !important;
  }
  .services_modal-content {
    height: none;
  }
  .popup-description-heading{
    padding-top: 0rem !important;
  }
  .popup-description{
    overflow-y: hidden !important;
  }
  .popup-description-grid-3{
    padding-bottom: none !important;
  }
}

@media screen and (min-width: 768px) {
  .container {
    margin-left: auto;
    margin-right: auto;
  }
  body {
    margin: 0;
  }
  .section {
    padding: 6rem 0 2rem;
  }
  .section__subtitle {
    margin-bottom: 4rem;
  }
  .header {
    top: 0;
    bottom: initial;
  }
  .home__scroll {
    display: block;
    margin: auto;
  }
  .header,
  .main,
  .footer__container {
    padding: 0 1rem;
  }
  .nav {
    height: calc(var(--header-height) + 1.5rem);
    column-gap: 1rem;
  }
  .nav__icon,
  .nav__close,
  .nav__toggle {
    display: none;
  }
  .nav__list {
    display: flex;
    column-gap: 2rem;
  }
  .nav__menu {
    margin-left: auto;
  }
  .change-theme {
    margin: 0;
  }
  .home__container {
    row-gap: 5rem;
    max-height: none;
  }
  .home__content {
    padding-top: 5.5rem;
    column-gap: 2rem;
  }
  .home__blob {
    width: 270px;
  }
  /* .about__container {
    column-gap: 3rem;
  } */
  .about__img {
    width: 350px;
  }
  .about__description {
    text-align: initial;
  }
  .about__info {
    justify-content: center;
    gap: 8rem;
  }
  .about__buttons {
    justify-content: center;
    gap: 3rem;
  }
  .qualification__tabs {
    justify-content: center;
  }
  .qualification__button {
    margin: 0 var(--mb-1);
  }
  .qualification__sections {
    grid-template-columns: 0.5fr;
  }
  .projects__container {
    grid-template-columns: repeat(3, 218px);
    justify-content: center;
  }
  .projects__icon {
    font-size: 2rem;
  }

  .bottom-tabs {
    display: block;
    margin-top: var(--mb-2);
    text-align: center;
  }
  
  .bottom-tabs .qualification__button {
    font-size: var(--smaller-font-size);
    color: var(--text-color);
    cursor: pointer;
    transition: 0.3s;
  }
  
  .bottom-tabs .qualification__button:hover{
    text-decoration: underline
  }
  .bottom-tabs .qualification__button.qualification__active {
    color: var(--first-color);
  }
  
  .bottom-tabs .qualification__button:not(:last-child) {
    margin-right: 0.5rem;
  }

  .projects__content {
    padding: 6rem 0 2rem 2.5rem;
  }
  .services_modal-content {
    width: 58rem !important;
  }
  .portfolio__img {
    width: 320px;
  }
  .portfolio__content {
    align-items: center;
  }
  .project {
    text-align: initial;
  }
  .project__bg {
    background: none;
  }
  .project__container {
    background-color: var(--first-color);
    border-radius: 0.5rem;
    padding: 2rem 2.5rem 0;
    grid-template-columns: 1fr max-content;
    column-gap: 3rem;
  }
  .project__data {
    padding-top: 0.8rem;
  }
  .footer__container {
    grid-template-columns: repeat(2, 1fr);
  }
  .footer__bg {
    padding: 3rem 0 3.5rem;
  }
  .footer__links {
    flex-direction: row;
    column-gap: 2rem;
  }
  .footer__socials {
    display: flex;
    justify-self: center;
  }
  .footer__copy1 {
    margin-top: 1.5rem !important;
  }
  .projects--grid {
    display: grid !important;
    grid-template-columns: repeat(3, 1fr) !important;
    gap: 32px !important;
  }
  .home{
    margin-top: 0rem !important;
  }
}

/* For large devices */
@media screen and (min-width: 1024px) {
  .header,
  .main,
  .footer__container {
    padding: 0;
  }
  .home__blob {
    width: 320px;
  }
  /* .home__social {
    transform: translateY(6rem);
  } */
  .projects__container {
    grid-template-columns: repeat(3, 238px);
  }
  .portfolio__content {
    column-gap: 5rem;
  }
  .swiper-portfolio-icon {
    font-size: 3.5rem;
  }
  .swiper-button-prev {
    left: -3.5rem;
  }
  .swiper-button-next {
    right: -3.5rem;
  }
  .swiper-container-horizontal > .swiper-pagination-bullets {
    bottom: -4.5rem;
  }
  .contact__form {
    width: 460px;
  }
  .contact__inputs {
    grid-template-columns: repeat(2, 1fr);
  }
}

.text-right {
  text-align: right;
}
.d-block {
  display: block !important;
}
.vertical-middle {
  vertical-align: middle;
}

.d-flex-end {
  display: flex;
  justify-content: end;
}

.d-flex-start {
  display: flex;
  justify-content: start;
}

.skills__content {
  border: 1px solid transparent;
  padding: 10px;
  border-radius: 5px;
  margin-bottom: 14px;
}
.skills__open {
  border-style: solid;
  box-shadow: 0 0px 4px var(--text-color-light);
}

.skills__content:hover {
  border-style: solid;
  box-shadow: 0 0px 10px var(--text-color-light);
}

.projects--grid {
  display: grid;
  grid-template-columns: 1fr;
  gap: 32px;
}

.grid-item {
  /* background-color: #8abcdd; */
  /* padding: 20px; */
  border-style: solid;
  border: 1px solid transparent;
  padding-left : 12px;
  padding-right : 12px;
  /* padding-bottom : 15px; */
  text-align: center;
  color: #fff;
  border-radius: 5px;
  box-shadow: 0 0px 4px var(--text-color-light);
  display: flex;
  flex-direction: column;
}

.grid-item:hover {
  border-style: solid;
  box-shadow: 0 0px 10px var(--text-color-light);
}

.grid-image {
  max-width: 100%;
  height: 10rem;
  object-fit: cover;
  margin-top: 10px;
  margin-bottom: 10px;
}

.task__category{
  font-size: 0.6rem !important;
  margin-top: 10px;
  color: var(--text-color);
}

.task__title{
  font-size: var(--normal-font-size);
  text-align: left;
  padding-top: 10px;
  /* color: black; */
}

.task__description {
  font-size: var(--smaller-font-size);
  color: var(--title-color);
}

.button-and-date-container {
  display: flex;
  align-items: center;
  margin-top: auto;
  padding-top: 10px;
}

.task__date {
  font-size: 0.6rem;
  color: var(--text-color-light);
  margin-right: auto;
}

.task__button {
  cursor: pointer;
  font-size: 0.8rem;
  margin-bottom: 3px;
}

.tag {
  background-color: var(--text-color);
  border-radius: 50px;
  font-size: 10px;
  font-weight: 100;
  margin: 0;
  color: #fff;
  padding: 2px 10px;
  text-transform: uppercase;
  white-space: nowrap;
  margin-right: 3px;
}

.faq-container {
  padding-left: 10px;
  padding-right: 10px;
  padding-top: 10px;
  padding-bottom: 10px;
}

.projects--tabs{
  display: grid;
  grid-template-columns: 1fr 1.5fr;
  gap: 15px;
  place-items: center;
}

.home{
  margin-top: -2.5rem;
  padding-bottom: 5rem;
}

.popup-description-grid{
  display: block;
}

.popup-description-grid-ai{
  display: block;
}

.popup-description-heading{
  font-size: 1rem;
  margin-bottom: 0.5rem;
  /* padding-top: 1rem; */
}

.entity__title {
  font-size: var(--h2-font-size);
  color: var(--first-color);
}

.organization-title {
  font-size: var(--h3-font-size) !important;
  font-size: var(--smaller-font-size);
}

.organization-date {
  font-size: var(--smaller-font-size);
  color: var(--text-color);
  padding-top: 0.4rem;
}

.popup-description{
  padding-left: 0.25rem;
  overflow-y: auto;
  box-sizing: border-box;
  max-height: 30rem;
}

.services_modal-exp{
  font-size: 0.85rem;
  display: block;
  margin-bottom: -0.5rem;
}

.services_modal-vu{
  font-size: 0.85rem;
  display: block;
}

.services_modal-end{
  display: block;
  padding-top: 1rem;
}

.side-heading{
  padding-top: 0.5rem;
  padding-bottom: 0.25rem;
}

.font-small{
  font-size: 0.85rem;
}

.para-link{
  color: var(--text-color);
}

.light-color{
  color: var(--text-color-light);
}

.footer__instruction{
  font-size: 1rem;
  color: var(--text-color-light) !important;
}

.popup-description-grid-2{
  padding-bottom: 1rem;
}

.popup-description-grid-3{
  padding-bottom: 1rem;
}
.pad-top{
  margin-top: 3rem;
}

.button--space{
  margin-right: 13px !important;
}

.button--pointer{
  cursor: pointer;
}

.gooey {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 142px;
  height: 40px;
  margin: -20px 0 0 -71px;
  background: var(--body-color);
  /* filter: contrast(20); */
}

.gooey .dot {
  position: absolute;
  width: 16px;
  height: 16px;
  top: 12px;
  left: 15px;
  /* filter: blur(3px); */
  background: var(--first-color);
  border-radius: 50%;
  transform: translateX(0);
  animation: dot 1.8s infinite;
}

.gooey .dots {
  transform: translateX(0);
  margin-top: 12px;
  margin-left: 31px;
  animation: dots 1.8s infinite;
}

.gooey .dots span {
  display: block;
  float: left;
  width: 16px;
  height: 16px;
  margin-left: 16px;
  /* filter: blur(3px); */
  background: var(--first-color);
  border-radius: 50%;
}

@keyframes dot {
  50% {
    transform: translateX(96px);
  }
}

@keyframes dots {
  50% {
    transform: translateX(-31px);
  }
}

.loading-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 9999; /* ensure it's on top of other content */
  display: flex;
  justify-content: center;
  align-items: center;
  background: var(--body-color);
}

.actual-body {
  display: none; /* Hide the actual body content initially */
}

*{
  -webkit-tap-highlight-color: transparent;
}